<?
include_once ("include/mailIt.class.php");
include_once ("db/dbElemento.class.php");
include_once ("config/config.mail.inc.php");

$db= new dbElemento;
	
if (($_POST['email'])){

	if (is_array($db->getLinhaCampo("contacto", "email", $_POST['email']))){
		$msg="O email já existe";
	} else {
		$_POST['data']=Date("Y-m-d");
		$_POST['idCat']=1;
		$id=$db->setInsert("contacto", 1, $_POST);
	
		$nome=$_POST['nome'];
		$email=$_POST['email'];
		$link=$myNewsletterSim . "&email=".$email;

		$assunto="Confirmacao de inscrição em $mailFromName";
		$mensagem="Caro(a) $nome<br>
		Deve clicar no link abaixo para confirmar a sua inscrição na Newsletter de $mailFromName<br>
		<a href=\"$link\">$link</a><br>
		Obrigado.";

		$m= new mailIt;
		$erro=$m->envia($nome, $email,$assunto, $mensagem );
		if ($erro) 
			$msg="Ocorreu um erro com o envio do email";
		else
			$msg="Obrigado pelo seu registo";
			
	}
}

?>
